'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _colors = require('./colors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _default = function (_Component) {
  _inherits(_default, _Component);

  function _default() {
    _classCallCheck(this, _default);

    return _possibleConstructorReturn(this, (_default.__proto__ || Object.getPrototypeOf(_default)).apply(this, arguments));
  }

  _createClass(_default, [{
    key: 'handleColorChange',
    value: function handleColorChange(color) {
      this.props.onSelected(color);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var theme = this.props.theme;

      return _react2.default.createElement(
        'div',
        { className: theme.colorPickerStyles.wrapper },
        _react2.default.createElement(
          'div',
          { className: theme.colorPickerStyles.closeWrapper, onClick: this.props.closeModal },
          _react2.default.createElement(
            'svg',
            { className: theme.colorPickerStyles.close, width: '24', height: '24', viewBox: '0 0 24 24' },
            _react2.default.createElement(
              'g',
              { fill: 'currentColor', fillRule: 'evenodd' },
              _react2.default.createElement('path', { d: 'M16.95 5.636l1.414 1.414L7.05 18.364 5.636 16.95z' }),
              _react2.default.createElement('path', { d: 'M16.95 18.364l1.414-1.414L7.05 5.636 5.636 7.05z' })
            )
          )
        ),
        _react2.default.createElement(
          'div',
          { className: theme.colorPickerStyles.picker },
          _colors.colors.map(function (c, i) {
            return _react2.default.createElement('span', {
              style: { backgroundColor: c, borderColor: c },
              className: theme.colorPickerStyles.color, key: i, onClick: function onClick() {
                return _this2.handleColorChange(c);
              } });
          })
        )
      );
    }
  }]);

  return _default;
}(_react.Component);

exports.default = _default;