'use strict';

var _colors = require('./colors');

var _Picker = require('./Picker');

var _Picker2 = _interopRequireDefault(_Picker);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * Copyright (c) 2016, Globo.com (https://github.com/globocom)
 * Copyright (c) 2016, vace.nz (https://github.com/vacenz)
 * Copyright (c) 2016, Nik Graf (https://www.draft-js-plugins.com)
 *
 * License: MIT
 */

var styleMap = {};
_colors.colors.map(function (c, i) {
  styleMap['color-' + c.replace('#', '')] = { color: c };
});

module.exports = {
  Picker: _Picker2.default,
  colorStyleMap: styleMap
};